> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rewards by Delegator.

> Returns the rewards of a Delegator with specified granularity (day or week)

Using this endpoint, you can query per delegator using its delegator address, and you will see that particular delegator's rewards history, broken down per token. It gives the amount per token, the date when they were distributed (`date`), and the date when they are claimable (`activatedAt` given in milliseconds). The ETH and USD prices of the token are also given based on the day when the rewards are claimable. Pricing data is provided by [Coingecko](https://www.coingecko.com).

Based on the `granularity` parameter, the rewards can be aggregated on a weekly (`week`) or daily (`day`) basis.


## OpenAPI

````yaml get /v1/eigenlayer/delegators/{delegator_address}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eigenlayer/delegators/{delegator_address}/rewards:
    get:
      tags:
        - Eigenlayer Rewards
      summary: Get rewards by Delegator.
      description: >-
        Returns the rewards of a Delegator with specified granularity (day or
        week)
      operationId: >-
        get_delegator_rewards_v1_eigenlayer_delegators__delegator_address__rewards_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: granularity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Granularity of the rewards data (day or week). Defaults to day.
            title: Granularity
          description: Granularity of the rewards data (day or week). Defaults to day.
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/PaginatedResponse_EigenlayerDailyRewards_
                  - $ref: >-
                      #/components/schemas/PaginatedResponse_EigenlayerWeeklyRewards_
                title: >-
                  Response Get Delegator Rewards V1 Eigenlayer Delegators 
                  Delegator Address  Rewards Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    PaginatedResponse_EigenlayerDailyRewards_:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $ref: '#/components/schemas/EigenlayerDailyRewards'
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedResponse[EigenlayerDailyRewards]
    PaginatedResponse_EigenlayerWeeklyRewards_:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $ref: '#/components/schemas/EigenlayerWeeklyRewards'
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedResponse[EigenlayerWeeklyRewards]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    EigenlayerDailyRewards:
      properties:
        distributionRootIndex:
          type: integer
          minimum: 0
          title: Distributionrootindex
        date:
          type: string
          format: date
          title: Date
        activatedAt:
          type: integer
          minimum: 0
          title: Activatedat
        amount:
          type: number
          title: Amount
        delegatorAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Delegatoraddress
        eigenpodAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Eigenpodaddress
        token:
          $ref: '#/components/schemas/EigenlayerToken'
        snapshotTimestamp:
          type: integer
          minimum: 0
          title: Snapshottimestamp
        prices:
          $ref: '#/components/schemas/EigenlayerRewardsPrice'
        operators:
          items:
            $ref: >-
              #/components/schemas/api__schemas__eigenlayer__delegations__Operator
          type: array
          title: Operators
      type: object
      required:
        - distributionRootIndex
        - date
        - activatedAt
        - amount
        - delegatorAddress
        - eigenpodAddress
        - token
        - snapshotTimestamp
        - prices
        - operators
      title: EigenlayerDailyRewards
      examples:
        - activatedAt: 1726599623
          amount: 1432232
          date: '2024-10-01'
          delegatorAddress: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
          distributionRootIndex: 1
          operators:
            - - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                name: Bob the Operator
          prices:
            - ethAmount: 0.0232
              ethPrice: 0.99829323
              usdAmount: 58.74
              usdPrice: 2532.14
          snapshotTimestamp: 1726358400000
          token:
            - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              decimals: 18
              name: Wrapped Ether
              symbol: WETH
    EigenlayerWeeklyRewards:
      properties:
        startDate:
          type: string
          format: date
          title: Startdate
        endDate:
          type: string
          format: date
          title: Enddate
        delegatorAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Delegatoraddress
        eigenpodAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Eigenpodaddress
        rewards:
          items:
            $ref: '#/components/schemas/TokenReward'
          type: array
          title: Rewards
      type: object
      required:
        - startDate
        - endDate
        - delegatorAddress
        - eigenpodAddress
        - rewards
      title: EigenlayerWeeklyRewards
      examples:
        - delegatorAddress: '0xfff1ce616cf83327981bf61396ad0c04e0c8b771'
          endDate: '2024-01-07'
          rewards:
            - - amount: 5432198
                operators:
                  - - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                      name: Bob the Operator
                prices:
                  - ethAmount: 0.0232
                    ethPrice: 0.99829323
                    usdAmount: 58.74
                    usdPrice: 2532.14
                rewardCount: 90
                token:
                  - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                    decimals: 18
                    name: Wrapped Ether
                    symbol: WETH
          startDate: '2024-01-01'
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    EigenlayerToken:
      properties:
        address:
          type: string
          title: Address
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
        decimals:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Decimals
      type: object
      required:
        - address
      title: EigenlayerToken
      examples:
        - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
          decimals: 18
          name: Wrapped Ether
          symbol: WETH
    EigenlayerRewardsPrice:
      properties:
        ethAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethamount
        usdAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Usdamount
        ethPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethprice
        usdPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Usdprice
      type: object
      required:
        - ethAmount
        - usdAmount
        - ethPrice
        - usdPrice
      title: EigenlayerRewardsPrice
      examples:
        - ethAmount: 0.0232
          ethPrice: 0.99829323
          usdAmount: 58.74
          usdPrice: 2532.14
    api__schemas__eigenlayer__delegations__Operator:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address:
          type: string
          title: Address
      type: object
      required:
        - name
        - address
      title: Operator
      examples:
        - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
          name: Bob the Operator
    TokenReward:
      properties:
        token:
          $ref: '#/components/schemas/EigenlayerToken'
        amount:
          type: number
          title: Amount
        prices:
          $ref: '#/components/schemas/EigenlayerRewardsPrice'
        rewardCount:
          type: integer
          minimum: 0
          title: Rewardcount
        operators:
          items:
            $ref: >-
              #/components/schemas/api__schemas__eigenlayer__delegations__Operator
          type: array
          title: Operators
      type: object
      required:
        - token
        - amount
        - prices
        - rewardCount
        - operators
      title: TokenReward
      examples:
        - amount: 5432198
          operators:
            - - address: '0x74134d0c91798d720a5585364bb4be7396c5b973'
                name: Bob the Operator
          prices:
            - ethAmount: 0.0232
              ethPrice: 0.99829323
              usdAmount: 58.74
              usdPrice: 2532.14
          rewardCount: 90
          token:
            - address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              decimals: 18
              name: Wrapped Ether
              symbol: WETH
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````